Support » Plugin: Caldera Forms - More Than Contact Forms » Heads Up: PHP 5.6 Error

  • FYI – Ran across an error when running PHP 5.6 (testing environment) and upgrading to Caldera Forms 1.8.9.

    PHP Fatal error occurred: Cannot use calderawp\calderaforms\pro\api\local\settings as settings because the name is already in use in /home/XXXXXX/public_html/wp-content/plugins/caldera-forms/includes/cf-pro-client/classes/hooks.php on line 10.

    Rolled back to 1.8.8 and fixed the issue.

    • This topic was modified 3 months, 2 weeks ago by irocwebs.
Viewing 15 replies - 1 through 15 (of 23 total)
  • I’m not from Caldera, but my current PHP version is PHP Version 7.2.1-0.debian.0

    Same issue here.
    How do you rollback ?

    Having the same issue since about a month, have been using our backups or the WordPress Rollback Plugin to go back to 1.8.8 which works fine. Waiting for the next update now, we’ll try skipping 1.8.9 which seems to be faulty.
    We get the same issue on four pages.

    Same issue, I’ve now deleted Caldera and downloaded again, try to activate, same Fatal Error!!! My Booking and contact forms are now inactive! Not happy!

    @lavoiephotography – you can download older versions of Caldera Forms here: https://wordpress.org/plugins/caldera-forms/advanced/ – bottom of the page.

    We didn’t have any problem with version 1.8.8 & PHP 5.6. We have not had any issues with PHP 7.0, 7.1, 7.2 or 7.3 that we are aware of… but have not tested.

    Following because I have the same issue.

    Same issue

    Same – I tried dev version with no luck, then went back to 1.8.5 and it’s working fine. PHP 5.6.4

    Just a question: why are you running such old versions of PHP???

    Vikas Khunteta

    (@vikas_khunteta)

    One of my client site form stopped working after new update due to fatal error so I have to rollback to 1.8.8 for now, the client site is running on PHP version 5.6

    Please fix the issue or tell the users to update their PHP version

    celshader

    (@celshader)

    got the same problem. Following
    I am getting the error even with PHP 7.1
    Fatal error: Cannot use calderawp\calderaforms\pro\api\local\settings as settings because the name is already in use in /home/xxxxxxx/public_html/wp-content/plugins/caldera-forms/includes/cf-pro-client/classes/hooks.php on line 10

    • This reply was modified 3 months ago by celshader.
    karalina

    (@karalina)

    Same issue. How do I roll back to the older version without using admin panel (which is blocked because of this fatal error?) Please guide me, it’s so urgent.

    karalina

    (@karalina)

    Okay guys, here is the solution which worked for me:
    1. First go to your hosting >> Websites services >> File Manager (or sth) >> Folder of the damaged domain >> Plugin >> Caldera-Forms. Just delete the folder of the plugin.
    2. Then download older version of the plugin (I did it from here: https://wordpress.org/plugins/caldera-forms/advanced/Version 1.8.8), upload the zip to your hosting, to the folder of plugins of the damaged domain, then unzip it.
    3. Go to admin panel (it’s gonna work afetr you delete updated version form the hosting), acctivate the older version of Caldera.
    4. All the forms and previous settings are saved.
    Welcome 🙂

    Just don’t update plugin to version 1.8.9? Just leave it as 1.8.8?

    I found 100% issue fixed. visit my YT video for soultion-

    https://youtu.be/OulOtkMICdw.

    Getting following issue when upgrade caldera form from Version 1.8.8 to 1.8.9.
    Issue: PHP Fatal error occurred: Cannot use calderawp\calderaforms\pro\api\local\settings as settings because the name is already in use in /var/www/html/xxxx/wp-content/plugins/caldera-forms/includes/cf-pro-client/classes/hooks.php on line 10.
    PHP version- PHP 5.6.40 (cli) (built: Dec 17 2019 17:19:45), OS- CentOS 6

Viewing 15 replies - 1 through 15 (of 23 total)
  • You must be logged in to reply to this topic.